<?php

if (!defined('ABSPATH')) {
    exit;
}

class GelatoConnector
{
    /** @var string */
    const GELATO_DASHBOARD_URL = 'https://dashboard.gelato.com';

    /**
     * @return string
     */
    public function getConnectUrl(): string
    {
        return self::GELATO_DASHBOARD_URL . '/stores/woocommerce/connect?domain=' . urlencode(trailingslashit(get_home_url()));
    }

    /**
     * @return string
     */
    public function getDashboardUrl(): string
    {
        return self::GELATO_DASHBOARD_URL;
    }

    public function isConnected(): bool
    {
        global $wpdb;

        $key = $wpdb->get_row($wpdb->prepare(
            "SELECT * FROM {$wpdb->prefix}woocommerce_api_keys WHERE description LIKE '%%%s%' ORDER BY last_access LIMIT 1",
            $wpdb->esc_like("Gelato")
        ));

        if (!empty($key) && $key->permissions == 'read_write') {
            return true;
        }

        return false;
    }
}
