<?php
if (!defined('ABSPATH')) {
    exit;
}

class GelatoMain
{
    public static function init()
    {
        $gelatoMain = new GelatoMain();
        $gelatoMain->create();
    }

    public function create()
    {
        add_action('admin_menu', [$this, 'add_gelato_main_menu']);
        add_action('admin_enqueue_scripts', [$this, 'add_styles']);
    }

    public function add_gelato_main_menu()
    {
        add_menu_page(
            __('Dashboard', 'gelato-integration-for-woocommerce'),
            'Gelato',
            'manage_options',
            'gelato-main-menu',
            ['GelatoMain', 'tab_routing'],
            GelatoPlugin::get_asset_path() . 'images/gelato-menu-icon.svg',
            56
        );
    }

    public function add_styles()
    {
        wp_enqueue_style('gelato-status', plugins_url('../assets/css/status.css', __FILE__));
    }

    public static function tab_routing()
    {
        $tab = (!empty($_GET['tab']) ? sanitize_text_field( wp_unslash($_GET['tab'])) : 'main');
        $gelatoPage = GelatoPageFactory::create($tab);
        $gelatoPage->view();
    }
}
